
It was my day off and I was travelling to pick up a friend to spend the day with. I was approaching an intersection and had to turn right. When I started to apply the brakes, something happened with them causing the car to slide. Later when looking at the road and accident site there were three black lines from the tires and one long silver gouge from something that had dug into the road.

When I left the road, I was travelling diagonal to the flow of traffic into a 6-7foot deep ditch at around 50mph and had no control of the car. The last thing I remember, before what I have been told was my NDE, was the sound and vision of the impact. I must add that I always wore my seatbelt.

My NDE, as I remember it, started with me seeing all the blades of grass, the dirt/soil and the small bushes as clearly as if I were within inches of them. I had perfect vision and in such clear clarity, it was amazing. Within a couple of minutes, I found myself in a pitch dark area that felt like a large room, I wasn't moving but I could see a pin prick of light that was getting closer. Soon I realized that I was in a tunnel and that the light was moving towards me. I wasn't scared of the light as it was peaceful andor calming. I did sense other people but didn't feel a need or want to speak or let them know I was there.

As the light got closer to me, a person came out from the tunnel wall and stood in front of me. As I focused on the figure, I realized that it was my granddad who had passed several years ago. At that time I still blamed myself for his passing. He told me that it wasn't my time and to go back.

The next thing that I remember was collapsing on the edge of the road and holding my chest. I don't know how I got out of the car or how I got my seatbelt off. I somehow lost time. I was taken to the hospital, given tests and released. My parents picked me up from the hospital and we stopped back at the accident site. Unless you were looking down the ditch you would have driven past without seeing the car. I still have no idea how long I was away from my body, even if I did leave it. But something did happen and only now do I want to share it without fear of feeling crazy.
